Package wx :: Class GenericDirCtrl

[frames | no frames]

## Type GenericDirCtrl

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                            GenericDirCtrl

Proxy of C++ GenericDirCtrl class

Method Summary
Control | ``__init__`(self, parent, id, pos, size, style, validator, name)` Create a Control.
bool | `CollapsePath(self, path)`
bool | ``Create`(self, parent, id, pos, size, style, validator, name)` Do the 2nd phase and create the GUI control.
| `DoResize(self)`
bool | `ExpandPath(self, path)`
(item, done) | ``FindChild`(parentId, path)` Find the child that matches the first part of 'path'.
String | `GetDefaultPath(self)`
String | `GetFilePath(self)`
String | `GetFilter(self)`
int | `GetFilterIndex(self)`
DirFilterListCtrl | `GetFilterListCtrl(self)`
String | `GetPath(self)`
TreeItemId | `GetRootId(self)`
bool | `GetShowHidden(self)`
TreeCtrl | `GetTreeCtrl(self)`
| `ReCreateTree(self)`
| `SetDefaultPath(self, path)`
| `SetFilter(self, filter)`
| `SetFilterIndex(self, n)`
| `SetPath(self, path)`
| `ShowHidden(self, show)`

Property Summary
| `DefaultPath`: See `GetDefaultPath` and `SetDefaultPath`
| `FilePath`: See `GetFilePath`
| `Filter`: See `GetFilter` and `SetFilter`
| `FilterIndex`: See `GetFilterIndex` and `SetFilterIndex`
| `FilterListCtrl`: See `GetFilterListCtrl`
| `Path`: See `GetPath` and `SetPath`
| `RootId`: See `GetRootId`
| `thisown`: The membership flag
| `TreeCtrl`: See `GetTreeCtrl`

Instance Method Details

### __init__(self, parent, id=-1, dir=DirDialogDefaultFolderStr, pos=DefaultPosition, size=DefaultSize, style=wxDIRCTRL_3D_INTERNAL|wxSUNKEN_BORDER, filter=EmptyString, defaultFilter=0, name=TreeCtrlNameStr)
(Constructor)

Create a Control. Normally you should only call this from a subclass' __init__ as a plain old wx.Control is not very useful.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    Control
  Overrides:
    `wx.Control.__init__` (inherited documentation)

### Create(self, parent, id=-1, dir=DirDialogDefaultFolderStr, pos=DefaultPosition, size=DefaultSize, style=wxDIRCTRL_3D_INTERNAL|wxSUNKEN_BORDER, filter=EmptyString, defaultFilter=0, name=TreeCtrlNameStr)

Do the 2nd phase and create the GUI control.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.Control.Create` (inherited documentation)

### FindChild(parentId, path)

Find the child that matches the first part of 'path'. E.g. if a child path is "/usr" and 'path' is "/usr/include" then the child for /usr is returned. If the path string has been used (we're at the leaf), done is set to True.

  Parameters:
    `parentId`
    (type=wxTreeItemId)

    `path`
    (type=wxString)

  Returns:
    (item, done)

Property Details

### DefaultPath

See `GetDefaultPath` and `SetDefaultPath`

  Get Method:
    `GetDefaultPath`(self)
  Set Method:
    `SetDefaultPath`(self, path)

### FilePath

See `GetFilePath`

  Get Method:
    `GetFilePath`(self)

### Filter

See `GetFilter` and `SetFilter`

  Get Method:
    `GetFilter`(self)
  Set Method:
    `SetFilter`(self, filter)

### FilterIndex

See `GetFilterIndex` and `SetFilterIndex`

  Get Method:
    `GetFilterIndex`(self)
  Set Method:
    `SetFilterIndex`(self, n)

### FilterListCtrl

See `GetFilterListCtrl`

  Get Method:
    `GetFilterListCtrl`(self)

### Path

See `GetPath` and `SetPath`

  Get Method:
    `GetPath`(self)
  Set Method:
    `SetPath`(self, path)

### RootId

See `GetRootId`

  Get Method:
    `GetRootId`(self)

### thisown

The membership flag

### TreeCtrl

See `GetTreeCtrl`

  Get Method:
    `GetTreeCtrl`(self)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:53 2007 | http://epydoc.sf.net